Skip to main content

Get all leads

GEThttps://api.propexo.com/v1/leads/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external lead id

x_property_id string

Deprecated: Use the Propexo property_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

x_unit_id string

The external unit id

email_1 string

Lead email address

email_2 string

Lead email address alternate

property_id string

The Propexo property id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the lead.

phone_1 string

Possible values: Value must match regular expression ^[2-9]\d{9}$

Filter by phone number (10 digit format only)

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    x_guestcard_idstring | nullnullablerequired

    The external ID of the guestcard from the integration vendor

    x_idstringrequired

    The external ID from the integration vendor

    x_leasing_agent_idstring | nullnullablerequired

    The external ID of the leasing agent from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    x_unit_id_preferredstring[]required
    x_updated_atstring | nullnullablerequired

    The date the record was last updated in the integration vendor

    x_lead_source_idstring | nullnullablerequired

    The external ID of the lead source from the integration vendor

    address_1string | nullnullablerequired

    The first address line associated with the lead

    address_2string | nullnullablerequired

    The second address line associated with the lead

    citystring | nullnullablerequired

    The city associated with the lead

    countrystring | nullnullablerequired

    The country associated with the lead

    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the lead

    desired_amenitiesstring | nullnullablerequired

    The desired amenities associated with the lead

    desired_floor_plan_idstring | nullnullablerequired

    The external ID of desired floor plan associated with the lead

    desired_floor_plan_namestring | nullnullablerequired

    The desired floor plan name

    desired_lease_term_in_monthsstring | nullnullablerequired

    The desired lease term

    desired_max_rent_in_centsnumber | nullnullablerequired

    The desired maximum rent

    Example: 100000
    desired_max_square_ftnumber | nullnullablerequired

    The desired maximum square feet

    desired_min_rent_in_centsnumber | nullnullablerequired

    The desired minimum rent

    Example: 100000
    desired_min_square_ftnumber | nullnullablerequired

    The desired minimum square feet

    desired_num_bathroomsnumber | nullnullablerequired

    The desired number of bathrooms

    desired_num_bedroomsinteger | nullnullablerequired

    The desired number of bedrooms

    desired_unit_numberstring | nullnullablerequired

    The desired unit number

    desired_unit_typestring | nullnullablerequired

    The desired unit type

    email_1string | nullnullablerequired

    The primary email address associated with the lead

    email_2string | nullnullablerequired

    The secondary email address associated with the lead

    first_namestring | nullnullablerequired

    The first name associated with the lead

    ilsstring | nullnullablerequired

    The name of the Internet listing service

    last_namestring | nullnullablerequired

    The last name associated with the lead

    lead_sourcestring | nullnullablerequired

    The lead source

    leasing_agentstring | nullnullablerequired

    The name of the leasing agent

    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    notesstring | nullnullablerequired

    Notes associated with the lead

    number_of_occupantsinteger | nullnullablerequired

    The number of occupants

    pet_detailsstring | nullnullablerequireddeprecated

    DEPRECATED: Use the pets array instead

    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead pet

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    age_in_yearsnumber | nullnullablerequired

    The age in years of the lead pet

    breedstring | nullnullablerequired

    The breed of the lead pet

    colorstring | nullnullablerequired

    The color of the lead pet

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the lead pet

    is_fixedboolean | nullnullablerequired

    Whether the lead pet is fixed

    is_service_animalboolean | nullnullablerequired

    Whether the lead pet is a service animal

    namestring | nullnullablerequired

    The name associated with the lead pet

    notesstring | nullnullablerequired

    Notes associated with the lead pet

    typestring | nullnullablerequired

    The type associated with the lead pet

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the lead pet

    custom_data object | nullrequired
    object
  • ]
  • phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    statestring | nullnullablerequired

    The state associated with the lead

    statusstring | nullnullablerequired

    The raw status associated with the lead

    target_move_in_datestring | nullnullablerequired

    The target move in date

    zipstring | nullnullablerequired

    The zip code associated with the lead

    property_idstringrequired

    The Propexo unique identifier for the property

    lead_source_idstring | nullnullablerequired

    The Propexo unique identifier for the lead source

    unit_id_preferredstring[]required
    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    screenings object[]required
  • Array [
  • idstringrequired

    The Propexo ID of the screening

    created_atstringrequired

    The date record first entered Propexo

    last_seenstringrequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    screening_datestring | nullnullablerequired

    The date the screening took place

  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leads/
curl https://api.propexo.com/v1/leads/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_created_at": "string",
"x_guestcard_id": "string",
"x_id": "string",
"x_leasing_agent_id": "string",
"x_property_id": "string",
"x_unit_id_preferred": [
"string"
],
"x_updated_at": "string",
"x_lead_source_id": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "string",
"desired_amenities": "string",
"desired_floor_plan_id": "string",
"desired_floor_plan_name": "string",
"desired_lease_term_in_months": "string",
"desired_max_rent_in_cents": 100000,
"desired_max_square_ft": 0,
"desired_min_rent_in_cents": 100000,
"desired_min_square_ft": 0,
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"desired_unit_number": "string",
"desired_unit_type": "string",
"email_1": "string",
"email_2": "string",
"first_name": "string",
"ils": "string",
"last_name": "string",
"lead_source": "string",
"leasing_agent": "string",
"middle_name": "string",
"notes": "string",
"number_of_occupants": 0,
"pets": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"phone_1_type": "string",
"phone_1": "string",
"phone_2_type": "string",
"phone_2": "string",
"state": "string",
"status": "string",
"target_move_in_date": "string",
"zip": "string",
"property_id": "string",
"lead_source_id": "string",
"unit_id_preferred": [
"string"
],
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"screenings": [
{
"id": "string",
"created_at": "string",
"last_seen": "string",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
]
}